### Enumeration

# Fwupd BiosSettingKind

#### Declaration

    enum Fwupd.BiosSettingKind

#### Description [src]

The type of BIOS setting.

#### Members

`FWUPD_BIOS_SETTING_KIND_UNKNOWN`

  BIOS setting type is unknown.

  - Value: `0`
  - Available since: 2.0
`FWUPD_BIOS_SETTING_KIND_ENUMERATION`

  BIOS setting that has enumerated possible values.

  - Value: `1`
  - Available since: 2.0
`FWUPD_BIOS_SETTING_KIND_INTEGER`

  BIOS setting that is an integer.

  - Value: `2`
  - Available since: 2.0
`FWUPD_BIOS_SETTING_KIND_STRING`

  BIOS setting that accepts a string.

  - Value: `3`
  - Available since: 2.0